## org.jfree.report.modules.data.sql
Class DriverConnectionProvider

    java.lang.Object
      org.jfree.report.modules.data.sql.DriverConnectionProvider

All Implemented Interfaces:
  java.io.Serializable, ConnectionProvider

    public class DriverConnectionProvider

extends java.lang.Object
implements ConnectionProvider

Creation-Date: 07.04.2006, 15:04:26

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`DriverConnectionProvider()`

Method Summary
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDriver()`
`java.lang.String` `getProperty(java.lang.String key)`
`java.lang.String` `getUrl()`
`void` `setDriver(java.lang.String driver)`
`java.lang.Object` `setProperty(java.lang.String key, java.lang.String value)`
`void` `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverConnectionProvider

    public DriverConnectionProvider()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String value)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getDriver

    public java.lang.String getDriver()

### setDriver

    public void setDriver(java.lang.String driver)

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `ConnectionProvider`
  Throws:
    `java.sql.SQLException`